Project

Reverse Dependencies for hoe-doofus

The projects listed here declare hoe-doofus as a runtime or development dependency

30.18
A long-lived project that still receives updates
Diff::LCS computes the difference between two Enumerable sequences using the McIlroy-Hunt longest common subsequence (LCS) algorithm. It includes utilities to create a simple HTML diff output format and a standard diff-like tool. This is release 1.4.3, providing a simple extension that allows for Diff::LCS::Change objects to be treated implicitly as arrays and fixes a number of formatting issues. Ruby versions below 2.5 are soft-deprecated, which means that older versions are no longer part of the CI test suite. If any changes have been introduced that break those versions, bug reports and patches will be accepted, but it will be up to the reporter to verify any fixes prior to release. The next major release will completely break compatibility.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
23.22
Low commit activity in last 3 years
A long-lived project that still receives updates
The mime-types library provides a library and registry for information about MIME content type definitions. It can be used to determine defined filename extensions for MIME types, or to use filename extensions to look up the likely MIME type definitions. Version 3.0 is a major release that requires Ruby 2.0 compatibility and removes deprecated functions. The columnar registry format introduced in 2.6 has been made the primary format; the registry data has been extracted from this library and put into {mime-types-data}[https://github.com/mime-types/mime-types-data]. Additionally, mime-types is now licensed exclusively under the MIT licence and there is a code of conduct in effect. There are a number of other smaller changes described in the History file.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
15.08
A long-lived project that still receives updates
mime-types-data provides a registry for information about MIME media type definitions. It can be used with the Ruby mime-types library or other software to determine defined filename extensions for MIME types, or to use filename extensions to look up the likely MIME type definitions.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
1.56
No release in over a year
The minitar library is a pure-Ruby library that provides the ability to deal with POSIX tar(1) archive files. This is release 0.9, adding a minor feature to Minitar.unpack and Minitar::Input#extract_entry that when <tt>:fsync => false</tt> is provided, fsync will be skipped. minitar (previously called Archive::Tar::Minitar) is based heavily on code originally written by Mauricio Julio Fernández Pradier for the rpa-base project.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.49
No release in over 3 years
Low commit activity in last 3 years
There's a lot of open issues
Color is a Ruby library to provide basic RGB, CMYK, HSL, and other colourspace manipulation support to applications that require it. It also provides 152 named RGB colours (184 with spelling variations) that are commonly supported in HTML, SVG, and X11 applications. A technique for generating monochromatic contrasting palettes is also included. The Color library performs purely mathematical manipulation of the colours based on colour theory without reference to colour profiles (such as sRGB or Adobe RGB). For most purposes, when working with RGB and HSL colour spaces, this won't matter. Absolute colour spaces (like CIE L*a*b* and XYZ) and cannot be reliably converted to relative colour spaces (like RGB) without colour profiles. Color 1.8 adds an alpha parameter to all &lt;tt&gt;#css_rgba&lt;/tt&gt; calls, fixes a bug exposed by new constant lookup semantics in Ruby 2, and ensures that &lt;tt&gt;Color.equivalent?&lt;/tt&gt; can only be called on Color instances. Barring bugs introduced in this release, this (really) is the last version of color that supports Ruby 1.8, so make sure that your gem specification is set properly (to &lt;tt&gt;~&gt; 1.8&lt;/tt&gt;) if that matters for your application. This version will no longer be supported one year after the release of color 2.0.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.22
No commit activity in last 3 years
No release in over 3 years
A Sinatra plugin to provide convenience whilst performing asynchronous responses inside of the Sinatra framework running under async webservers. To properly utilise this package, some knowledge of EventMachine and/or asynchronous patterns is recommended. Currently, supporting servers include: * Thin * Rainbows * Zbatery
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
Low commit activity in last 3 years
A long-lived project that still receives updates
Isolate is a very simple RubyGems sandbox. It provides a way to express and automatically install your project's Gem dependencies.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.11
No release in over 3 years
RubyPython is a bridge between the Ruby and Python interpreters. It embeds a running Python interpreter in the Ruby application's process using FFI and provides a means for wrapping, converting, and calling Python objects and methods. RubyPython uses FFI to marshal the data between the Ruby and Python VMs and make Python calls. You can: * Inherit from Python classes. * Configure callbacks from Python. * Run Python generators (on Ruby 1.9.2 or later).
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Popularity
0.08
No commit activity in last 3 years
No release in over 3 years
<tt>minitar-cli</tt> is a pure-Ruby command-line tool that uses {minitar}[https://github.com/halostatue/minitar] to provide a command-line tool, +minitar+, for working with POSIX tar(1) archive files. This is release 0.7, extracted from {minitar}[https://halostatue.ca/minitar], with modernizations.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.07
No release in over 3 years
Text::Hyphen is a Ruby library to hyphenate words in various languages using Ruby-fied versions of TeX hyphenation patterns. It will properly hyphenate various words according to the rules of the language the word is written in. The algorithm is based on that of the TeX typesetting system by Donald E. Knuth. This is originally based on the Perl implementation of {TeX::Hyphen}[http://search.cpan.org/author/JANPAZ/TeX-Hyphen-0.140/lib/TeX/Hyphen.pm] and the {Ruby port}[http://rubyforge.org/projects/text-format]. The language hyphenation pattern files are based on the sources available from {CTAN}[http://www.ctan.org] as of 2004.12.19 and have been manually translated by Austin Ziegler. This is a small feature release adding Russian language support and fixing a bug in the custom hyphen support introduced last version. This release provides both Ruby 1.8.7 and Ruby 1.9.2 support (but please read below). In short, Ruby 1.8 support is deprecated and I will not be providing any bug fixes related to Ruby 1.8. New features will be developed and tested against Ruby 1.9 only.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Popularity
0.04
No commit activity in last 3 years
No release in over 3 years
Experimental library for working with GoogleCheckout. Currently in use for payment at http://peepcode.com.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.04
No commit activity in last 3 years
No release in over 3 years
Experimental library for working with GoogleCheckout. Currently in use for payment at http://peepcode.com.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.01
Repository is archived
Low commit activity in last 3 years
A long-lived project that still receives updates
Cartage provides a repeatable means to create a package for a server-side application that can be used in deployment with a configuration tool like Ansible, Chef, Puppet, or Salt. The package is created with vendored dependencies so that it can be deployed in environments with strict access control rules and without requiring development tool presence on the target server(s). This is the last release of cartage. It's been a fun ride, but Docker-based images are our future at Kinetic Commerce. There is one feature that remains useful, the release-metadata output. We have created a new, more extensible format for which we will be creating a gem to manage this. One example of the implementation can be found at: https://github.com/KineticCafe/release-metadata-ts We will also be replacing `cartage-rack` with a new gem supporting this new format.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.01
No release in over 3 years
Low commit activity in last 3 years
This is a packaged gem version of the CSV import/export tasks on the {i18n-tasks Wiki}[https://github.com/glebm/i18n-tasks/wiki/Custom-CSV-import-and-export-tasks]. :include: Contributing.rdoc :include: Licence.rdoc
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.01
Repository is archived
No commit activity in last 3 years
No release in over 3 years
kinetic_cafe_error provides an API-smart error base class and a DSL for defining errors. Under Rails, it also provides a controller concern (KineticCafe::ErrorHandler) that has a useful implementation of +rescue_from+ to handle KineticCafe::Error types. Exceptions in a hierarchy can be handled in a uniform manner, including getting an I18n translation message with parameters, standard status values, and meaningful JSON representations that can be used to establish a standard error representations across both clients and servers.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.01
No commit activity in last 3 years
No release in over 3 years
A simple read-only interface to Solr, built on Sunspot. Lunr makes it easy to query and create objects from a Sunspot-managed Solr index without requiring all the knowledge, code, and data used to build the index in the first place. If you have complex indexes with a stored fields and need to search / access those fields without access to the original data store, Lunr might be what you're looking for.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.01
No commit activity in last 3 years
No release in over 3 years
MarketoAPI (marketo-api-ruby) provides a native Ruby interface to the {Marketo SOAP API}[http://developers.marketo.com/documentation/soap/], using {savon}[https://github.com/savonrb/savon]. While understanding the Marketo SOAP API is necessary for using marketo-api-ruby, it is an explicit goal that working with MarketoAPI not feel like working with a hinky Java port. This is release 0.9.1, targeting Marketo API version {2.3}[http://app.marketo.com/soap/mktows/2_3?WSDL], fixing a +syncLead+ problem where +Id+, +Email+, and +ForeignSysPersonId+ are inconsistent with other +syncLead+ parameters. This fixes an issue with Marketo campaign methods. Please note that Ruby 1.9.2 is not officially supported, but MarketoAPI will install on any version of Ruby 1.9.2 or later.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.01
Low commit activity in last 3 years
A long-lived project that still receives updates
{Marlowe}[https://github.com/KineticCafe/marlowe] is a Rack middleware that extracts or creates a request ID using a pre-defined header, permitting request correlation across multiple services. When using Rails, Marlowe automatically adds itself to the middleware before <tt>Rails::Rack::Logger</tt>.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
0.0
No release in over 3 years
Agio is a library and a tool for converting HTML to {Markdown}[http://daringfireball.net/projects/markdown/].
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Popularity
0.0
Repository is archived
No commit activity in last 3 years
No release in over 3 years
Ballot provides a two-way polymorphic scoped voting mechanism for both ActiveRecord (4 or later) and Sequel (4 or later).
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022